# Recommend-me

Recommend-me gem is used to generate Dockerfile or Deployment.yml from a templates 

## Installation

You can install it by using a command:
`gem install recommend-me`

## Dependencies

Cookbook Creator during its installation will also install required gems:
* chef

## Usage

`recommend_me_generate <template> <options>`

Where:
* <template> is obligatory
* <options> can be:
  - `-p, --project <project_name>`
  - `-l, --location <environment location : local or gce>`

## Config options

Config file could has following options:
  - `project '<project_name>'`
  - `location '<environment location : local or gce>'`

## Config locations

By default Recommend-me will search for config file in following places:
* Under `env['RECOMMEND_ME_HOME']/recommend.rb` if set
* Under `Current directory/recommend.rb`
* Under `Current directory/.recommend/recommend.rb`
* Under `$HOME/.recommend/recommend.rb`

## Options merging

Options will be merged in the following order:
* Initially will be build hash with default options from CLI
* CLI options will be overwritten by the options within config file
* Config file options will be overwritten by any arguments which will be passed to the script

*WARNING:* Recommend-me can have some bugs.
Please report to serghei.anicheev@gmail.com if you will find any.
